Subject: Re: bug#55441: [cuirass] hang in "In progress..."; runs out of pgsql connections

From: Josselin Poiret <[email-masked]>
Date: Thu, 26 May 2022 22:49:03 +0200

Hello everyone,

With all the recent platform changes, I was looking at `make
cuirass-jobs` for the first time and it left some deadlocked inferiors
as well, so I figured I could try my own solution, since I've already
dabbled in Guile POSIX internals!  Here's a patch that rewrites
open-bidirectional-pipe with a more thread-safe alternative,
`piped-process`, but this also requires some Guile patches, that I will
post as well.  With these, `make cuirass-jobs` doesn't hang at all
anymore for me.

Let me know what you think of these

Best,
-- 
Josselin Poiret